{
  "extends": "@repo/typescript-config/express.json",

  "compilerOptions": {
    "noEmit": true,
    "allowImportingTsExtensions": true,
    "lib": ["ES2022"],
    "baseUrl": "./src",
    "paths": {
      "@/*": ["*"]
    },
    "outDir": "./dist",
    "rootDir": "./src",

    "removeComments": true
  },
  //"files": ["src/index.ts"], // Esta opción compila sólo los archivos listados (y sus dependencias importadas).
  "include": ["src"],
  "exclude": ["node_modules", "dist"]
}
